Package Details: private-internet-access-vpn 3.3.3-10

Git Clone URL: https://aur.archlinux.org/private-internet-access-vpn.git (read-only)
Package Base: private-internet-access-vpn
Description: Installs VPN profiles for Private Internet Access Service
Upstream URL: https://www.privateinternetaccess.com/
Keywords: connman networkmanager openvpn python vpn
Licenses: GPL
Submitter: flamusdiu
Maintainer: flamusdiu
Last Packager: flamusdiu
Votes: 83
Popularity: 0.103022
First Submitted: 2014-08-14 01:22
Last Updated: 2019-04-23 02:50

Pinned Comments

flamusdiu commented on 2016-10-01 10:56

Dev version -> https://aur.archlinux.org/packages/private-internet-access-vpn-dev/

You can submit issues on Github -> https://github.com/flamusdiu/python-pia

Latest Comments

« First ‹ Previous ... 37 38 39 40 41 42

rabarrett commented on 2014-12-07 21:21

I've wasted a lot of time trying to manually make pia into nmcli connections (got close, but not quite there after hours).

How are you launching these after you install this from AUR? Does anyone use networkmanager or are you doing something else?

I'm running dwm (and have no Desktop Environment). I've played around with dmenu-nmcli also, but without any luck.

flamusdiu commented on 2014-12-06 02:02

@mikezackles, I didn't even realize there was a systemd for OpenVPN. I use the NetworkManager applet to control the VPN when I need it. I also added the patches for the VPN on restart when computer goes to sleep. If you have any issues, let me know, thanks!

mikezackles commented on 2014-12-05 19:05

I updated the checksum and made things a bit more systemd friendly if anyone finds it useful: https://gist.github.com/mikezackles/0fa3928625d4c6242db5

flamusdiu commented on 2014-11-22 02:25

@thewooster:

Did you manually install the configs? If you did, that's why are you getting this error. You need to remove the configs then install the package.

thewooster commented on 2014-11-20 14:42

Hi! I am getting this error when trying to build:

==> Validating source files with sha256sums...
openvpn.zip ... Passed
==> Extracting sources...
==> Removing existing pkg/ directory...
==> Entering fakeroot environment...
==> Starting package()...
mkdir: cannot create directory ‘vpn-configs’: File exists
==> ERROR: A failure occurred in package().
Aborting...

flamusdiu commented on 2014-10-15 12:38

cert file updated.